<?php

namespace App\Http\Requests;

use Illuminate\Foundation\Http\FormRequest;

class SuperUsuarioRequest extends FormRequest
{
    public function authorize()
    {
        return true;
    }


    public function rules(): array
    {

        if (isset($this->id)) { // Cuando es una actualizacion
            return [
                'name' => "min:3|max:60|string",
                'num_user' => "min:1",
                'num_project' => "min:1",
            ];
        } else { // Cuando es un registro
            return [
                'name' => "required|min:3|max:200|string",
                'num_user' => "required|min:1",
                'num_project' => "required|min:1",
                'tipo_de_suscripcion' => "required",
                'nit' => "required|unique:mysql.usuario,nit",
            ];
        }
    }


    public function attributes(): array
    {
        return [
            'name' => 'Nombre',
            'num_user' => 'numero de usuarios permitidos',
            'num_project' => 'numero de proyectos permitidos',
            'imagen_cliente' => 'imagen del cliente'
        ];
    }

    public function messages(): array
    {
        return [
            'name.required' => 'El campo nombre es obligatorio',
            'num_user.required' => 'El campo es obligatorio',
            'num_project.required' => 'El campo es obligatorio',
            'nit.unique' => 'El campo nit deberia ser unico',
            'nit.required' => 'El campo nit es obligatorio',
            'tipo_de_suscripcion' => "El campo es obligatorio"
        ];
    }
}
